# Uses of Interface
com.sun.source.tree.DeconstructionPatternTree

Packages that use DeconstructionPatternTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of DeconstructionPatternTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type DeconstructionPatternTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitDeconstructionPattern(DeconstructionPatternTree node, P p)`
Visits a `DeconstructionPatternTree` node.

## Uses of DeconstructionPatternTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type DeconstructionPatternTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitDeconstructionPattern(DeconstructionPatternTree node, P p)`
Visits a `DeconstructionPatternTree` node.
`R`
TreeScanner.`visitDeconstructionPattern(DeconstructionPatternTree node, P p)`
Visits a `DeconstructionPatternTree` node.